Skip to main content

Prepare an application package upload for snippet injection

POST 

/v1/application/inject/upload

Issues a new injection request and a presigned upload for the application package to inject the signageOS snippet into. Upload the file by a multipart/form-data POST to upload.url with every field of upload.fields followed by the file, then start the injection with POST /v1/application/inject. Supported packages are Tizen .wgt, Tizen SSSP wrapper .zip and webOS .ipk.

Request​

Responses​

OK